#ifndef DEF_POST
#define DEF_POST

#include <string>
#include <fstream>
#include <iostream>
#include <vector>
#include <sstream>

//using namespace std;

typedef std::vector<int> VECELE; //vecteur dynamique
typedef std::vector<VECELE> MATELE; // matrice dynamique

class FaultLocalization {
public:

	//post();

	int print_topK(MATELE& vect_topk, VECELE& vect_fplus, VECELE& vect_fmoins,
			std::vector<double>& tarantulaCoef, std::string res_Dir,
			std::string dataset_Dir, std::string metric_name);

	int merge_and_rank_topK_adhoc(MATELE& suites, VECELE& fplus, VECELE& fmoins,
			std::vector<double>& tarantulaCoef, std::string res_Dir,
			std::string dataset_Dir, std::string metric_name);

	void merge_rank_topk(std::vector<std::vector<int> >& top_k, VECELE& fplus,
			VECELE& fmoins, std::vector<double>& metricCoef,
			std::string res_Dir, std::string dataset_Dir,
			std::string metric_name);
	//int Ranking ();

private:

	//MATELE suites;
	//VECELE frequenceP;
	//VECELE frequenceM;

};

#endif // DEF_POST
